name 						= " Amber"
version 					= "0.3"

russian = name.utf8len and (russian or language == "ru")
description = (
	russian
	
	and "Мод добавляет нового персонажа Эмбер!".."\nВерсия "..version
	
	or "Mod add new character Amber!".."\nVercion "..version
	)
forumthread = ""
author 						= "Filigrani"
forumthread 				= ""
api_version 				= 10
priority 					= 0.807363154
dont_starve_compatible 		= false
reign_of_giants_compatible 	= false
shipwrecked_compatible 		= false
dst_compatible 				= true

all_clients_require_mod 	= true 

icon_atlas                  = "modicon.xml"
icon                        = "modicon.tex"

--server_filter_tags = {"a_water"}

local opt_Empty = {{description = "", data = 0}}
local function Title(title,hover)
	return {
		name=title,
		hover=hover,
		options=opt_Empty,
		default=0,
	}
end
local SEPARATOR = Title("")

configuration_options =
{

	SEPARATOR,
	Title(russian and "Парамтеры Эмбер:" or "Amber starts:"),
	{
		name = "amber_hp",
		label = russian and "Здоровье Эмбер:" or "Amber Health Max:",
		options =
		{
		    {description = russian and "110" or "110", data = 110},
		    {description = russian and "120" or "120", data = 120},
			{description = russian and "150" or "150", data = 150},
			{description = russian and "180" or "180", data = 180},
			{description = russian and "200" or "200", data = 200},
			{description = russian and "250" or "250", data = 250},
			{description = russian and "300" or "300", data = 300},
			{description = russian and "350" or "350", data = 350},
			{description = russian and "400" or "400", data = 400},
		},
		default = 150,
	},
	
	{
		name = "amber_hunger",
		label = russian and "Сытось Эмбер:" or "Amber Hunger Max:",
		options =
		{
		    {description = russian and "110" or "110", data = 110},
		    {description = russian and "120" or "120", data = 120},
			{description = russian and "150" or "150", data = 150},
			{description = russian and "180" or "180", data = 180},
			{description = russian and "200" or "200", data = 200},
			{description = russian and "250" or "250", data = 250},
			{description = russian and "300" or "300", data = 300},
			{description = russian and "350" or "350", data = 350},
			{description = russian and "400" or "400", data = 400},
		},
		default = 150,
	},
	
	{
		name = "amber_sanity",
		label = russian and "Рассудок Эмбер:" or "Amber Sanity Max:",
		options =
		{
		    {description = russian and "110" or "110", data = 110},
		    {description = russian and "120" or "120", data = 120},
			{description = russian and "150" or "150", data = 150},
			{description = russian and "180" or "180", data = 180},
			{description = russian and "200" or "200", data = 200},
			{description = russian and "250" or "250", data = 250},
			{description = russian and "300" or "300", data = 300},
			{description = russian and "350" or "350", data = 350},
			{description = russian and "400" or "400", data = 400},
		},
		default = 120,
	},
	
	{
		name = "amber_rolling",
		label = russian and "Кручение проглота" or "Hair roll",
		options =
		{
		    {description = russian and "Да" or "Yes", data = 0},
		    {description = russian and "Нет" or "No", data = 1},

		},
		default = 0,
	},
}
