PrefabFiles = {
	"amber",
	"amber_none",
}

Assets = {
    Asset( "IMAGE", "images/saveslot_portraits/amber.tex" ),
    Asset( "ATLAS", "images/saveslot_portraits/amber.xml" ),

    Asset( "IMAGE", "images/selectscreen_portraits/amber.tex" ),
    Asset( "ATLAS", "images/selectscreen_portraits/amber.xml" ),
	
    Asset( "IMAGE", "images/selectscreen_portraits/amber_silho.tex" ),
    Asset( "ATLAS", "images/selectscreen_portraits/amber_silho.xml" ),

    Asset( "IMAGE", "bigportraits/amber.tex" ),
    Asset( "ATLAS", "bigportraits/amber.xml" ),
	
	Asset( "IMAGE", "images/map_icons/amber.tex" ),
	Asset( "ATLAS", "images/map_icons/amber.xml" ),
	
	Asset( "IMAGE", "images/avatars/avatar_amber.tex" ),
    Asset( "ATLAS", "images/avatars/avatar_amber.xml" ),
	
	Asset( "IMAGE", "images/avatars/avatar_ghost_amber.tex" ),
    Asset( "ATLAS", "images/avatars/avatar_ghost_amber.xml" ),
	
	Asset( "IMAGE", "images/avatars/self_inspect_amber.tex" ),
    Asset( "ATLAS", "images/avatars/self_inspect_amber.xml" ),
	
	Asset( "IMAGE", "images/names_amber.tex" ),
    Asset( "ATLAS", "images/names_amber.xml" ),
	
    Asset( "IMAGE", "bigportraits/amber_none.tex" ),
    Asset( "ATLAS", "bigportraits/amber_none.xml" ),

}

TUNING.AMBER_HP = GetModConfigData("amber_hp")
TUNING.AMBER_HUN = GetModConfigData("amber_hunger")-- 120
TUNING.AMBER_SANITY = GetModConfigData("amber_sanity") --110
TUNING.AMBER_ROLLING = GetModConfigData("amber_rolling")
local require = GLOBAL.require
local STRINGS = GLOBAL.STRINGS

STRINGS.CHARACTER_TITLES.amber = "Weird girl."
STRINGS.CHARACTER_NAMES.amber = "Amber"
STRINGS.CHARACTER_DESCRIPTIONS.amber = "Slowly moving after a few seconds of walking, it turns\n into a slurper gaining speed.\nLoses hunger in the slurper-form"
STRINGS.CHARACTER_QUOTES.amber = "\"Is anybody here? I'm scared.\""

STRINGS.CHARACTERS.amber = require "speech_amber"

STRINGS.NAMES.amber = "Amber"

AddMinimapAtlas("images/map_icons/amber.xml")


AddModCharacter("amber", "FEMALE")

--STRINGS.CHARACTERS.AMBER.DESCRIBE.BEARDHAIR = "It's not beard hair, I swear!"
--STRINGS.CHARACTERS.AMBER.DESCRIBE.RAZOR = "I could shorten my hair with it"

--Magic items

--Amulets

AddPrefabPostInit("amulet", function(inst)
    inst:AddTag("magic_trash")
end)

AddPrefabPostInit("blueamulet", function(inst)
    inst:AddTag("magic_trash")
end)

AddPrefabPostInit("purpleamulet", function(inst)
    inst:AddTag("magic_trash")
end)

AddPrefabPostInit("orangeamulet", function(inst)
    inst:AddTag("magic_trash")
end)

AddPrefabPostInit("yellowamulet", function(inst)
    inst:AddTag("magic_trash")
end)

AddPrefabPostInit("greenamulet", function(inst)
    inst:AddTag("magic_trash")
end)

--Staffs

AddPrefabPostInit("firestaff", function(inst)
    inst:AddTag("magic_trash")
end)

AddPrefabPostInit("icestaff", function(inst)
    inst:AddTag("magic_trash")
end)

AddPrefabPostInit("telestaff", function(inst)
    inst:AddTag("magic_trash")
end)

--Other

AddPrefabPostInit("onemanband", function(inst)
    inst:AddTag("magic_trash")
end)
